cURL
curl -X DELETE https://api.goshippo.com/user-parcel-templates/{UserParcelTemplateObjectId} \
-H "Authorization: ShippoToken <API_TOKEN>"import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
s.user_parcel_templates.delete(user_parcel_template_object_id='<id>')
# Use the SDK ...import { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
await shippo.userParcelTemplates.delete("<id>");
}
run();using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
await sdk.UserParcelTemplates.DeleteAsync(
userParcelTemplateObjectId: "<id>",
shippoApiVersion: "2018-02-08"
);
// handle responsedeclare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$response = $sdk->userParcelTemplates->delete(
userParcelTemplateObjectId: '<id>',
shippoApiVersion: '2018-02-08'
);
if ($response->statusCode === 200) {
// handle response
}package hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.DeleteUserParcelTemplateResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
DeleteUserParcelTemplateResponse res = sdk.userParcelTemplates().delete()
.userParcelTemplateObjectId("<id>")
.shippoApiVersion("2018-02-08")
.call();
// handle response
}
}const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/user-parcel-templates/{UserParcelTemplateObjectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/user-parcel-templates/{UserParcelTemplateObjectId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/user-parcel-templates/{UserParcelTemplateObjectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{}User Parcel Templates
Delete a user parcel template
Deletes a user parcel template using an object ID.
DELETE
/
user-parcel-templates
/
{UserParcelTemplateObjectId}
cURL
curl -X DELETE https://api.goshippo.com/user-parcel-templates/{UserParcelTemplateObjectId} \
-H "Authorization: ShippoToken <API_TOKEN>"import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
s.user_parcel_templates.delete(user_parcel_template_object_id='<id>')
# Use the SDK ...import { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
await shippo.userParcelTemplates.delete("<id>");
}
run();using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
await sdk.UserParcelTemplates.DeleteAsync(
userParcelTemplateObjectId: "<id>",
shippoApiVersion: "2018-02-08"
);
// handle responsedeclare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$response = $sdk->userParcelTemplates->delete(
userParcelTemplateObjectId: '<id>',
shippoApiVersion: '2018-02-08'
);
if ($response->statusCode === 200) {
// handle response
}package hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.DeleteUserParcelTemplateResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
DeleteUserParcelTemplateResponse res = sdk.userParcelTemplates().delete()
.userParcelTemplateObjectId("<id>")
.shippoApiVersion("2018-02-08")
.call();
// handle response
}
}const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/user-parcel-templates/{UserParcelTemplateObjectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/user-parcel-templates/{UserParcelTemplateObjectId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/user-parcel-templates/{UserParcelTemplateObjectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{}Authorizations
API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Headers
Optional string used to pick a non-default API version to use. See our API version guide.
Example:
"2018-02-08"
Path Parameters
Object ID of the user parcel template
Response
The user parcel template was successfully deleted.
Last modified on July 16, 2026
Related topics
Retrieves a user parcel templateList all user parcel templatesUpdate an existing user parcel templateWas this page helpful?
⌘I